Gradle 6.4 RC4带来 Java 模块、Groovy DSL 脚本插件

Gradle 6.4 RC4 发布了,此版本支持构建、测试和运行 Java 模块、预编译的 Groovy DSL 脚本插件,可更好地构建逻辑组织、以及每个项目使用一个锁定文件,从而减少了使用依赖项锁定的项目中的锁定文件。

同时此版本还带来了一些改进,并修复了一些 bug。

Gradle 现在支持 Java 模块系统,它具有编译和执行 Java 模块测试所需的一切,还可以构建 Javadoc 并运行应用。虽然与 Gradle 的依赖项管理功能有些重叠,但是 Java 模块提供了其它功能,例如 Java 运行时强制执行的模块边界。

唯一需要配置的是 Java 插件的模块路径推断:

java {

modularity.inferModulePath.set(true)

}

然后只需通过提供 module-info.java 描述符确保编写了正确的 Java 模块:

src

└── main

└── java

└── module-info.java

Gradle 此前已经支持 Kotlin DSL,这带来了各种优势,现在 Gradle 也支持 Groovy DSL 编写预编译的脚本插件。例如,buildSrc/src/main/groovy/my-plugin.gradle 中的 Gradle 脚本可用作插件 {id'my-plugin'} 在主项目中的插件。

依赖锁定是一种即使使用动态依赖版本也可以创建可复制构建的机制。此版本增加了一种改进的依赖项锁定文件格式,可在使用此功能的大多数项目中减少锁定文件的数量。此外,使用此格式时,可以配置锁定文件名和位置。

详情查看更新说明:

https://docs.gradle.org/6.4-rc-4/release-notes.html